# Uses of Class
org.eclipse.birt.report.engine.api.DataID

Packages that use DataID
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of DataID in org.eclipse.birt.report.engine.api

Fields in org.eclipse.birt.report.engine.api declared as DataID
Modifier and Type
Field
Description
`protected DataID`
InstanceID.`dataId`
Methods in org.eclipse.birt.report.engine.api that return DataID
Modifier and Type
Method
Description
`DataID`
InstanceID.`getDataID()`
Get data id of the element.
`static DataID`
DataID.`parse(String dataId)`
create a new data id instance from the string.
Constructors in org.eclipse.birt.report.engine.api with parameters of type DataID
Modifier
Constructor
Description
``
`InstanceID(InstanceID parent, long uid, long designId, DataID dataId)`
Constructor.
``
`InstanceID(InstanceID parent, long designId, DataID dataId)`
Constructor.